# p3droslo

_Probabilistic 3D Reconstruction of Spectral Line Observations._


![Build status](https://github.com/Magritte-code/p3droslo/actions/workflows/build-and-test.yaml/badge.svg)
![Build status](https://github.com/Magritte-code/p3droslo/actions/workflows/upload-to-pypi.yaml/badge.svg)
![Build status](https://github.com/Magritte-code/p3droslo/actions/workflows/upload-to-anaconda.yaml/badge.svg)


## Installation

Get the latest release (version 0.0.10) either from [PyPI](https://pypi.org/project/p3droslo/), using `pip`, with:
```
pip install p3droslo
```
or from [Anaconda.org](https://anaconda.org/FredDeCeuster/p3droslo), using `conda`, with:
```
conda install -c freddeceuster p3droslo 
```
or download the [source code](https://github.com/Magritte-code/p3droslo/archive/refs/heads/main.zip), unzip, and install with `pip` by executing:
```
pip install .
```
in the root directory of the code.


## Documentation

Documentation with examples can be found at [p3droslo.readthedocs.io](https://p3droslo.readthedocs.io/en/latest/).


## Issues

Please report any issues with this software or its documentation [here](https://github.com/Magritte-code/p3droslo/issues).


## Contributing

We are open to contributions to p3droslo. More information can be found [here](https://github.com/Magritte-code/p3droslo/blob/main/CONTRIBUTING.md).


## Collaborating

We are always interested in collaborating on exciting projects! So, if you have a project or just an idea, or data that might benefit from probabilistic 3D reconstruction or any other thing you can find in this repository, please contact [me](https://freddeceuster.github.io).


## Acknowledgements

Frederik De Ceuster is a Postdoctoral Research Fellow of the [Research Foundation - Flanders (FWO)](https://www.fwo.be/en/), grant number 1253223N, and was previously supported for this research by a Postdoctoral Mandate (PDM) from [KU Leuven](https://www.kuleuven.be/english/kuleuven/index.html), grant number PDMT2/21/066.